Subject: Re: [PATCH 0/6] doc: replace "alice" and "bob" examples

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Jun 2021 10:52:32 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> I suggested in [1] that the "alice" and "bob" examples in our
> documentation would be better written without a reference to such
> fictional characters, for reasons that have nothing to do with trying
> to bend over backwards to avoid any reference to people's gender. It
> just makes for better documentation.

I actually do not mind cast of characters with concrete names,
especially when there are more than three parties involved and
having names for them help clarify the description.  But I agree
with you that Alice and Bob should be reserved for situations where
appearance of Eve would reasonably be anticipated, or the use of
these two names become distracting to those who happen to be aware
how these characters are often used in CS literature.

Perhaps s/Alice/Tabby/ and s/Bob/Fido/ or something like that ;-)?